GET
/
proxies
/
{name}
获取指定代理
curl --request GET \
  --url http://{host}:{port}/proxies/{name} \
  --header 'Authorization: Bearer <token>'
import requests

url = "http://{host}:{port}/proxies/{name}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{host}:{port}/proxies/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "示例节点 A",
  "type": "Shadowsocks",
  "now": "",
  "all": [],
  "history": [
    {
      "time": "2026-06-22T13:19:22Z",
      "delay": 108
    }
  ],
  "udp": true,
  "alive": true
}

授权

Authorization
string
header
必填

在请求头中携带 Authorization: Bearer ${secret},其中 secret 对应配置中的 secret 字段。若未设置 secret 可省略,但强烈建议设置。

路径参数

name
string
必填

代理名称。

响应

200 - application/json

代理信息。

代理节点或策略组的信息。

name
string
示例:

"默认"

type
string
示例:

"Selector"

now
string

当前选中的节点(仅策略组)。

示例:

"日本"

all
string[]

组内全部成员名称(仅策略组)。

示例:
["默认", "香港"]
udp
boolean
示例:

true

hidden
boolean
示例:

false

icon
string
示例:

""

history
object[]